Bug 590623 - Asynchronous interaction: FAIL: gdb.mi/mi-nsmoribund.exp
Summary: Asynchronous interaction: FAIL: gdb.mi/mi-nsmoribund.exp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Kratochvil
QA Contact: Petr Muller
URL:
Whiteboard:
Depends On:
Blocks: 519853
TreeView+ depends on / blocked
 
Reported: 2010-05-10 11:01 UTC by Petr Muller
Modified: 2016-09-20 02:06 UTC (History)
3 users (show)

Fixed In Version: gdb-7.1-19.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 20:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 11593 0 None None None Never

Description Petr Muller 2010-05-10 11:01:28 UTC
Description of problem:
gdb.mi/mi-nsmoribund.exp testcase was suggested to be run as part of 'Asynchronous interaction' feature testing for RHEL6. This testcase has one FAIL across all architectures: 

Running ./gdb.mi/mi-nsmoribund.exp ...
FAIL: gdb.mi/mi-nsmoribund.exp: unexpected stop

I don't think this is really important, I'm reporting it for the sake of completeness so it can be evaluated.

Version-Release number of selected component (if applicable):
gdb-7.1-18.el6

How reproducible:
always

Steps to Reproduce:
1. runtest --tool=gdb gdb.mi/mi-nsmoribund.exp
  
Actual results:
# of expected passes            20
# of unexpected failures        1

Expected results:
# of expected passes            21

Comment 3 RHEL Program Management 2010-05-10 13:24:21 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Jan Kratochvil 2010-05-12 13:16:17 UTC
As a gross hack I can just increase the moribunds liveness:
              old_loc->events_till_retirement = 3 * (thread_count () + 1);

which makes the problem no longer practically reproducible.  The right fix to be discussed upstream.

Thanks, it could be a needless "stopper of the non-stop mode".

Comment 5 Fedora Update System 2010-05-12 20:48:02 UTC
gdb-7.1-19.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gdb-7.1-19.fc13

Comment 6 Fedora Update System 2010-05-13 19:22:46 UTC
gdb-7.1-19.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Petr Muller 2010-08-03 15:21:10 UTC
# runtest --tool=gdb gdb.mi/mi-nsmoribund.exp
(...)
                === gdb Summary ===

# of expected passes            21

Comment 9 releng-rhel@redhat.com 2010-11-10 20:26:03 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.